org.eclipse.cdt.utils.elf.parser

## Class GNUElfBinaryArchive

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.elf.parser.ElfBinaryArchive
      - - org.eclipse.cdt.utils.elf.parser.GNUElfBinaryArchive

All Implemented Interfaces:
  IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryFile, org.eclipse.core.runtime.IAdaptable

    public class GNUElfBinaryArchive
    extends ElfBinaryArchive

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
Constructor and Description
`GNUElfBinaryArchive(IBinaryParser parser, org.eclipse.core.runtime.IPath p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IBinaryParser.IBinaryObject[]` `createArchiveMembers(AR.ARHeader[] headers)`

### Methods inherited from class org.eclipse.cdt.utils.elf.parser.ElfBinaryArchive

`addArchiveMembers, getObjects`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getContents, getPath, getType, hasChanged`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### GNUElfBinaryArchive

    public GNUElfBinaryArchive(IBinaryParser parser,
                               org.eclipse.core.runtime.IPath p)
                        throws IOException

Throws:
  `IOException`

### Method Detail

#### createArchiveMembers

    protected IBinaryParser.IBinaryObject[] createArchiveMembers(AR.ARHeader[] headers)

Overrides:
  `createArchiveMembers` in class `ElfBinaryArchive`